import React, { FunctionComponent, useState } from 'react';
import { BryntumGantt } from '@bryntum/gantt-react';
import { ganttData } from "./AppData1";
import { ganttConf } from "./AppConfig";
import './App.scss';
import { StateProvider } from '@bryntum/gantt';

const data = ganttData().data;
const columns = data.columns;

const stateKey = "MyGanttState";

const stateProvider = StateProvider.setup("local"); // Global - shared by all instances of Gantt

const App: FunctionComponent = () => {
    const ganttRef = React.createRef<BryntumGantt>();
    const [ran, setRan] = useState(Math.random())

    return (
        <>
            <BryntumGantt
                ref={ganttRef}
                columns={columns}
                // stateProvider={stateProvider}
                key={"Gantt" + ran}
                stateId={stateKey}
                tasks={data.tasks}
                dependencies={data.dependencies}
                {...ganttConf}
            />

            <br/><br/>

            <button style={{width: "20em", margin: "0 auto"}} onClick={() => {
                ganttRef.current?.instance.destroy();
                setRan(Math.random()); // Rerender with new gantt instance
                debugger
                const a= stateProvider;
            }}>Create new Gantt instance</button>
        </>
    );
};

export default App;